Launch Week 02 wrapped — explore all five launches

Delete Alert

DELETEhttps://api.confident-ai.com/v2/scheduled-alerts/{scheduledAlertId}

Permanently deletes a scheduled alert and unregisters its next run. To stop an alert temporarily, update it with enabled set to false instead. This action cannot be undone.

DELETE/v2/scheduled-alerts/{scheduledAlertId}
curl -X DELETE "https://api.confident-ai.com/v2/scheduled-alerts/{scheduledAlertId}" \
  -H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"
200
{
  "success": true,
  "data": {
    "id": "<SCHEDULED-ALERT-ID>"
  },
  "deprecated": false
}

Headers

  • CONFIDENT_API_KEYstringRequired

    The API key of your Confident AI project.

Path parameters

  • scheduledAlertIdstringRequired

    The id of the scheduled alert.

Response

Delete Alert succeeded.

  • successboolean

    Indicates if the request was successful.

  • dataobject

    A reference to a scheduled alert by its id.

    Show 1 propertyHide 1 property
    • idstring

      The id of the scheduled alert, generated by Confident AI.

  • deprecatedboolean

    Indicates if this endpoint is deprecated.

Built byConfident AI